#include "lib.h"
#include "exceptions.h"

#include "Python.h"

#include <iostream>

int main(int argc, const char *argv[])
{
  // Exception handling check with statically compiled in symbols.
  std::cout << "Testing exceptions, statically linked: ";
  try
  {
    throwDerivedException();
  }
  catch (LibraryException &e)
  {
    std::cout << "ok\n";
  }

  // Embedded Python interpreter exception handling check -- this will fail if
  // lib is linked statically with this test executable.
  Py_Initialize();
  int result = PyRun_SimpleFile(fopen("test.py", "r"), "test.py");
}
